NO A LA PAPELERA

junio 22, 2007

Instalar drivers propietarios – ATI o NVIDIA

Filed under: CODIGO ABIERTO,FEISTY FAWN,LINUX,OPEN SOURCE,SISTEMA OPERATIVO,UBUNTU — JORGELANZ @ 9:31 pm
Instala drivers ATI o NVIDIA mediante interfaz gráfica

envy-gui.gif

Envy, es una de las soluciones que tenemos para instalar fácilmente nuestros drivers gráficos. Gracias a un estupendo trabajo de Alberto Milone podemos disfrutar de la instalación de nuestros drivers de manera gráfica, ya que el proyecto surge como un script, pero que desde ahora dispone de una GUI sencilla, pero suficiente para lograr su objetivo.
Envy es una aplicación escrita en python la cual tienen la función de detectar, descargar e instalar el driver tu tarjeta de video. Envy detecta tu tarjeta de gráfica y descarga los drivers propietarios directamente de la misma web de ATI o Nvidia según sea el caso. Después instala las dependencias para compilar el módulo, reescribe el archivo xorg.conf, reinicia las X y voilá ya tienes instalados tus drivers.

Cómo lo instalo?

Si es la primera que lo haces basta con

Descarga el .deb desde su página

$ sudo apt-get install nombre_de_version.deb

Encuentra más información y detalles

En mi opinión esto ya lo hace muy bien Automatix2Bleeder, pero me llena de satisfacción que la comunidad esté interesada por los usuarios, y más aún, en la horda de usuarios que hoy están haciendo el cambio de Windows a Ubuntu.

Supported Operative Systems

Operative System Architecture
Ubuntu Dapper Drake 6.06 x86, x86_64
Ubuntu Edgy Eft 6.10 x86, x86_64
Ubuntu Feisty Fawn 7.04 x86, x86_64
Linux Mint Bianca x86, x86_64
Linux Mint Cassandra x86, x86_64
Debian Etch 4.0 * (read the Known Issues) x86, x86_64

Package for Debian and Ubuntu

envy_0.9.5-0ubuntu3_all.deb


Source code
(only developers might want to download this)

envy_0.9.5-0ubuntu3.dsc

envy_0.9.5-0ubuntu3.tar.gz

envy_0.9.5-0ubuntu3_i386.changes

Anuncios

junio 2, 2007

INSTALAR FLASH PLAYER EN UBUNTU 7.04

Filed under: CODIGO ABIERTO,FEISTY FAWN,FLASH PLAYER,LINUX — JORGELANZ @ 5:36 pm

Cómo hacer que Firefox 2.0.0.4 trabaje con flash player

Uso en mi PC el sistema operativo Ubuntu 7.04 Feisty Fawn de Linux.

Dentro de él utilizo el navegador Firefox 2.0.0.4 que es el último en salir, pero me encontré con la desagradable sorpresa que cuando quise ver videos en http://www.youtube.com, no funcionaban debido a la falta de ese plugin.

No quería instalar el navegador Swiftfox, así que me puse a buscar la solución y luego de mucho la encontré en un par de sitios.

El mejor fue el de Mario Martínez, aunque no se leía muy bien por el diseño de su blog pues uso una resolución muy alta.

Acá voy a detallar esa explicación a fin que puedan utilizarla.

Instalando flash player en Firfox 2.0.0.4

instalar el plugin usando NSPluginWrapper, una aplicación que permite la compatibilidad de algunos plugins con equipos de otras plataformas. Sin más palabras, es lo que quería.

En este, mi primer post después de varios días fuera, les explicaré como lo hice para instalar el Adobe Flash Player en un Ubuntu Edgy 64bit usando NSPluginWrapper.


Paso 1: descargar NSPluginWrapper. Para eso debemos descargar el ambos, el plugin y el viewer. Recomiendo usar wget como superusuario para bajar los archivos. Los pueden ir dejando en la carpeta /tmp.

Paso 2: descargar el plugin para i386 del Adobe Flash Player y extraer el archivo.

tar xzvf install_flash_player_9_linux.tar.gz

Paso 3: Instalar los algunos paquetes necesarios.

sudo apt-get install ia32-libs lib32asound2 lib32ncurses5 ia32-libs-sdl ia32-libs-gtk gsfonts gsfonts-x11 linux32

sudo apt-get install alien

Paso 4: procedemos con la instalación.

sudo ln -s /usr/lib/nspluginwrapper/x86_64/linux/npconfig /usr/bin/nspluginwrapper

sudo alien -d nspluginwrapper*.rpm

sudo dpkg -i nspluginwrapper*.deb

sudo mkdir /usr/lib/mozilla/plugins32

sudo cp install_flash_player_9_linux/libflashplayer.so /usr/lib/mozilla/plugins32

sudo nspluginwrapper -i /usr/lib/mozilla/plugins32/libflashplayer.so


Y finalmente hacemos que el plugin esté disponible para Firefox.

sudo ln -s /usr/lib/mozilla/plugins/npwrapper.so /usr/lib/mozilla-firefox/plugins/

sudo ln -s /usr/lib/mozilla/plugins/npwrapper.libflashplayer.so /usr/lib/mozilla-firefox/plugins/


Si te funcionó, felicitaciones y házmelo saber !

Crea un blog o un sitio web gratuitos con WordPress.com.